Bug 1275216 - Review Request: giza - Scientific plotting library for C/Fortran
Review Request: giza - Scientific plotting library for C/Fortran
Status: NEW
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-26 05:48 EDT by Christopher Meng
Modified: 2015-10-27 19:48 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Meng 2015-10-26 05:48:28 EDT
Spec URL: http://cicku.me/giza.spec
SRPM URL: http://cicku.me/giza-0.9.3-1.fc24.src.rpm
Description: Giza is a 2D scientific plotting library built on cairo. It provides uniform output to pdf, ps, png and X-Windows. It was written as a direct replacement for PGPLOT (non-free).
Fedora Account System Username: cicku
Comment 1 Christopher Meng 2015-10-26 05:48:41 EDT
*** Bug 1187030 has been marked as a duplicate of this bug. ***
Comment 2 Joachim Frieben 2015-10-26 10:57:02 EDT
The resulting giza binary packages cannot be installed:
 
    "Error: nothing provides libgiza.so()(64bit) needed by giza-devel-0.9.3-1.fc23.x86_64"

I had resolved this in my own package by adding the SONAME field during the build stage of the shared libraries.
Comment 3 Joachim Frieben 2015-10-26 14:03:42 EDT
1. Libraries libpgplot.so.* and libcpgplot.so.* are missing which implies that
      /usr/share/doc/giza-devel/interface
      /usr/share/doc/giza-devel/interface/giza-cpgplot.c
      /usr/share/doc/giza-devel/interface/giza-fortran.F90
      /usr/share/doc/giza-devel/interface/giza-pgplot.f90
   can then be removed.

2. Symbolic link libgiza.so.0.9.3 -> libgiza.so.0 should be added.

3. Pkgconfig files cpgplot.pc, giza.pc, and pgplot.pc are missing. They have to provided by the packager because they are not provided by upstream.
Comment 4 Christopher Meng 2015-10-26 20:57:09 EDT
(In reply to Joachim Frieben from comment #2)
> The resulting giza binary packages cannot be installed:
>  
>     "Error: nothing provides libgiza.so()(64bit) needed by
> giza-devel-0.9.3-1.fc23.x86_64"
> 
> I had resolved this in my own package by adding the SONAME field during the
> build stage of the shared libraries.

There must be something wrong with my server, I checked and found the final one for submission wasn't uploaded successfully, sorry.

(In reply to Joachim Frieben from comment #3)
> 1. Libraries libpgplot.so.* and libcpgplot.so.* are missing which implies
> that
>       /usr/share/doc/giza-devel/interface
>       /usr/share/doc/giza-devel/interface/giza-cpgplot.c
>       /usr/share/doc/giza-devel/interface/giza-fortran.F90
>       /usr/share/doc/giza-devel/interface/giza-pgplot.f90
>    can then be removed.

Good catch, giza-fortran.F90 should be preserved, others are dropped.

> 2. Symbolic link libgiza.so.0.9.3 -> libgiza.so.0 should be added.

I just followed the upstream makefile, but it's Ok, done.

> 3. Pkgconfig files cpgplot.pc, giza.pc, and pgplot.pc are missing. They have
> to provided by the packager because they are not provided by upstream.

pgplot are in rpmfusion, so I can't add cpgplot.pc or pgplot.pc to the package. giza.pc is Ok, but without this is also fine I think. Splash may need it but current it bundles giza in sources.

Spec URL: http://cicku.me/giza.spec
SRPM URL: http://cicku.me/giza-0.9.3-2.fc24.src.rpm
Comment 5 Joachim Frieben 2015-10-27 08:29:50 EDT
(In reply to Christopher Meng from comment #4)
"There must be something wrong with my server, I checked and found the final one for submission wasn't uploaded successfully, sorry."

    Name        : giza
    Version     : 0.9.3
    Release     : 2.fc24
    ..
    Build Date  : Tue 27 Oct 2015 01:51:29 AM CET    [20:51:29 EDT]
    Build Host  : t410i.cicku.me
    ..

Hear, hear. If I look at the build date [20:51:29 EDT] and the submission date of comment 4 [20:57:09 EDT], respectively, I rather think it "wasn't uploaded successfully" because it simply did not exist yet .. pathetic!
Comment 6 Christopher Meng 2015-10-27 19:15:44 EDT
(In reply to Joachim Frieben from comment #5) 
> Hear, hear. If I look at the build date [20:51:29 EDT] and the submission
> date of comment 4 [20:57:09 EDT], respectively, I rather think it "wasn't
> uploaded successfully" because it simply did not exist yet .. pathetic!


You asked me to provide pkgconfig file, so I bumped the release and rebuild the package, otherwise you would still get 0.9.3-1.fc24 instead of 2.fc24.

Note You need to log in before you can comment on or make changes to this bug.